HowTo, Segurança

Pentest usando o Metasploit Framework

O Metasploit framework é um conjunto das melhores plataformas de aprendizagem e investigação para o profissional de segurança ou do hacker ético.
Ele possui centenas de exploits, payloads e ferramentas muito avançadas que nos permite testar vulnerabilidades em muitas plataformas, sistemas operacionais, e servidores.
Este framework deve ser utilizado com muita cautela e somente para fins éticos.

Veja a official release notes da versão 3.1

Inicialmente instale as dependências necessárias

sudo aptitude install ruby libruby rdoc libyaml-ruby libzlib-ruby libopenssl-ruby libdl-ruby libreadline-ruby libiconv-ruby rubygems libgtk2-ruby libglade2-ruby svn

Instale o Ruby on rails

sudo gem install -v=1.2.2 rails

* OBS: Eventualmente um erro de versão não encontrada ocorre durante a instalação do ruby, não se preocupe, tente instalar novamente.
Se você instalar uma versão mais atual do ruby, será necessário alterar o arquivo de configuração informando a versão instalada.

Instalando o Metasploit

mkdir -p ~/pentest/metasploit && cd ~/pentest/metasploit

sudo svn co http://metasploit.com/svn/framework3/trunk/

Para atualizá-lo

sudo svn update

Veja alguns videos de utilização do Metasploit Framework

[youtube=http://www.youtube.com/watch?v=1bnr61Mjk0g&rel=1]

[youtube=http://www.youtube.com/watch?v=IVsCQyvo9MA&rel=1]

creysson

4 Comments

Comments are closed.